/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _C9THS_GLUE_TOP_REG_INIT_H
#define _C9THS_GLUE_TOP_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : c9ths_glue_top_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* TSENSOR_CONFIG */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG                       0x00000000
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG__DEFAULT              0x144     
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_OBS__MASK             0x00000003
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_CMDTCO__MASK          0x0000000C
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_PDN__MASK             0x00000010
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_DCORRECT__MASK        0x000003E0
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_SRSTN__MASK           0x00000400
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_TEST__MASK            0x00000800
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_CONFIG_CLK_INV__MASK         0x00001000

/* TSENSOR_STATUS */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS                       0x00000004
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS__DEFAULT              0x1       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS_COMPOUT__MASK         0x00000001
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS_INTREG__MASK          0x000001FE
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS_OVERFLOW__MASK        0x00000200
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS_DATAREADY__MASK       0x00000400
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_STATUS_TEMP_DATA__MASK       0x0007F800

/* TSENSOR_INT_THRESH */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_THRESH                   0x00000008
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_THRESH__DEFAULT          0xe6ec    
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_INT_THRESH_INT_THRESH_HI__MASK 0x000000FF
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_INT_THRESH_INT_THRESH_LO__MASK 0x0000FF00

/* TSENSOR_INT_ENABLE */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_ENABLE                   0x0000000c
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_ENABLE__DEFAULT          0x1       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_INT_ENABLE_INT_ENABLE__MASK  0x00000001

/* TSENSOR_INT_EVENT */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_EVENT                    0x00000010
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_EVENT__DEFAULT           0x0       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_INT_EVENT_INT_EVENT__MASK    0x00000001

/* TSENSOR_INT_STATUS */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_STATUS                   0x00000014
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_INT_STATUS__DEFAULT          0x0       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_INT_STATUS_INT_STATUS__MASK  0x00000001

/* TSENSOR_LPA_THRESH */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_THRESH                   0x00000018
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_THRESH__DEFAULT          0xf0      
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_THRESH_LPA_THRESH__MASK  0x000000FF

/* TSENSOR_LPA_ENABLE */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_ENABLE                   0x0000001c
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_ENABLE__DEFAULT          0x0       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_ENABLE_LPA_ENABLE__MASK  0x00000001

/* TSENSOR_LPA_EVENT */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_EVENT                    0x00000020
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_EVENT__DEFAULT           0x0       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_EVENT_LPA_EVENT__MASK    0x00000001

/* TSENSOR_LPA_STATUS */
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_STATUS                   0x00000024
#define RSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_STATUS__DEFAULT          0x0       
#define FSTID135_C9THS_GLUE_TOP_TSENSOR_LPA_STATUS_LPA_STATUS__MASK  0x00000001


/* Number of registers */
#define STID135_C9THS_GLUE_TOP_REG_NBREGS                            10        

/* Number of fields */
#define STID135_C9THS_GLUE_TOP_REG_NBFIELDS                          21        



#endif /* #ifndef _C9THS_GLUE_TOP_REG_INIT_H */
